
Katello - Bug #37045

Package install/remove job templates failing due to incorrect method calls

01/11/2024 05:43 PM - Jeremy Lenz

Status: Duplicate   

Priority: High   

Assignee: Jeremy Lenz   

Category:    

Target version: Katello 4.12.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In https://github.com/Katello/katello/pull/10744 package_names_for_job_template was extracted into two new methods,

yum_names_for_job_template and deb_names_for_job_template

These new methods accept only keyword arguments, but are called only with regular non-kwargs.

Related issues:

Is duplicate of Katello - Feature #35713: New host details page should show d... Closed

History

#1 - 01/11/2024 05:45 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Jeremy Lenz

- Pull request https://github.com/Katello/katello/pull/10845 added

#2 - 01/12/2024 09:40 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/10850 added

#3 - 01/17/2024 05:45 PM - Jeremy Lenz

- Status changed from Ready For Testing to Duplicate

- Triaged changed from No to Yes

- Pull request deleted (https://github.com/Katello/katello/pull/10845, https://github.com/Katello/katello/pull/10850)

#4 - 01/17/2024 05:45 PM - Jeremy Lenz

- Is duplicate of Feature #35713: New host details page should show debian content added
